## ros-indigo-timestamp-tools 1.6.8

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(timestamp_tools)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED roslib roscpp)
find_package(Boost REQUIRED)

include_directories(include)

catkin_package(
  DEPENDS roslib roscpp
  INCLUDE_DIRS include
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

catkin_add_gtest(test_trigger_matcher test/test_trigger_matcher.cpp)
target_link_libraries(test_trigger_matcher ${catkin_LIBRARIES})

=== debian/changelog ===
ros-indigo-timestamp-tools (1.6.8-2trusty) trusty; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Sun, 30 Mar 2014 07:00:00 -0000

ros-indigo-timestamp-tools (1.6.7-2trusty) trusty; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 21 Aug 2013 07:00:00 -0000

ros-indigo-timestamp-tools (1.6.6-2trusty) trusty; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Mon, 06 May 2013 07:00:00 -0000

ros-indigo-timestamp-tools (1.6.5-2trusty) trusty; urgency=high

  * Removed duplicated dependancies
    test_depend tags should only include additional dependencies required for testing.
  * Contributors: Aaron Blasdel

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 22 Jan 2013 08:00:00 -0000

ros-indigo-timestamp-tools (1.6.4-2trusty) trusty; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 14 Dec 2012 08:00:00 -0000

ros-indigo-timestamp-tools (1.6.3-2trusty) trusty; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Thu, 13 Dec 2012 08:00:00 -0000

ros-indigo-timestamp-tools (1.6.2-2trusty) trusty; urgency=high

  * Version 1.6.2
  * Removed non-existant library from timestamp_tools
  * Contributors: William Woodall

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 10 Dec 2012 08:00:00 -0000

ros-indigo-timestamp-tools (1.6.1-2trusty) trusty; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Sat, 08 Dec 2012 00:02:00 -0000

ros-indigo-timestamp-tools (1.6.0-2trusty) trusty; urgency=high

  * Wrong version number for timestamp tools.
  * Version bump for release.
  * Catkinized
  * remove roslib::Header usage, bump to 1.2.5
  * rosbuild2 taking shape
  * Added Ubuntu platform tags to manifest
  * driver_common: adding in brief descriptions
  * Added license notices.
  * Set reviewed tags on all packages.
  * Used boost::posix_time::microseconds instead of boost::posix_time::seconds to avoid rounding problems.
  * Rearranged condition variable in trigger matcher. No longer needs to use absolute times, and eliminated a race condition related to resetting the class.
  * hasTimestamp was inverted in previous checkin.
  * Added hasTimestamp method to the trigger matcher to determine if there is a timestamp waiting.
  * Marked timestamp_tools as internal only.
  * Marked timestamp_tools as internal only.
  * Remove use of deprecated rosbuild macros
  * Made trigger matcher less verbose by default.
  * added XHTML to description
  * Corrected Ptr to ConstPtr to make trigger_matcher callback compatible with
    subscribe.
  * Updated some debug messages in trigger_matcher.
  * Split TriggerMatcher into TriggerMatcher in which data is not queued and
    sent to a callback, and a QueuedTriggerMatcher with the previous
    functionality of TriggerMatcher.
  * Added a reset method to the TriggerMatcher
  * Wrote skeleton for PeriodicTimestampMinFilter.
  * Wrote TriggerMatcher class to synchronize exact trigger time stamps with
    approximate timestamps incoming from hardware. Wrote self tests for it.
  * First pass at writing the TriggerMatcher class. Duplicated the wge100 node
    in view of redoing the time stamping code.
  * Fixed typo in timestamp_tools manifest.
  * Renamed timestamp-tools to timestamp_tools.
  * Contributors: Brian Gerkey, Chad Rockey, Gassend Blaise, Ken Conley, Rob Wheeler, Troy Straszheim

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 07 Dec 2012 19:00:00 -0000

=== debian/control ===
Source: ros-indigo-timestamp-tools
Section: misc
Priority: extra
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-roslib
Homepage: http://www.ros.org/wiki/timestamp_tools
Standards-Version: 3.9.2

Package: ros-indigo-timestamp-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roscpp, ros-indigo-roslib
Description: This package is currently for internal use only. Its API may change without warning in the future. This package is deprecated.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-timestamp-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
